# DateTimeImmutable::createFromMutable

(PHP 5 >= 5.6.0, PHP 7)

DateTimeImmutable::createFromMutable — Returns new DateTimeImmutable object encapsulating the given DateTime object

### Description

public static DateTimeImmutable::createFromMutable ( DateTime `$datetime` ) : DateTimeImmutable

### Parameters

`datetime`

  The mutable DateTime object that you want to convert to an immutable version. This object is not modified, but instead a new DateTimeImmutable object is created containing the same date time and timezone information.

### Examples

Example #1 Creating an immutable date time object

`<?php
$date = new DateTime("2014-06-20 11:45 Europe/London");
$immutable = DateTimeImmutable::createFromMutable( $date );
?>`

### Return Values

Returns a new DateTimeImmutable instance.